#include <ros/ros.h>
#include "base_controller/BaseController.hpp"

int main(int argc, char** argv)
{
    ros::init(argc, argv, "controller");
    ros::NodeHandle node_handle("~");
    BaseController base_controller(node_handle);
    double control_rate;
    if (!node_handle.getParam("/base_controller/loop_rate", control_rate))
    {
        ROS_ERROR("Could not retrieve parameter /base_controller/loop_rate");
    }
    ros::Rate loop_rate(control_rate);
    while(ros::ok())
    {   
        ros::spinOnce();
        base_controller.update();
        loop_rate.sleep();
    }

}