#include "dynamic_controller/TaskController.hpp"
#include <ros/ros.h>

int main(int argc, char** argv)
{
    ros::init(argc, argv, "inverse_kinematic_controller");
    ros::NodeHandle node_handle("~");
    TaskController task_controller(node_handle);
    double control_rate;
    if(!node_handle.getParam("/publish_rate", control_rate))
    {
        ROS_ERROR("Could not retrieve parameter /publish_rate");
        ros::requestShutdown();
    }
    ros::Rate loop_rate(control_rate);
    while(ros::ok())
    {
        ros::spinOnce();
        task_controller.update();
        loop_rate.sleep();
    }
}