#include <ros/ros.h>
#include <highlevel_controller/PoseActionClient.hpp>

int main(int argc, char** argv)
{
    ros::init(argc, argv, "pose_action_client");
    ros::NodeHandle node_handle("~");
    PoseActionClient pose_action_client(node_handle);
    double loop_rate;
    if (!node_handle.getParam("/publish_rate", loop_rate)) {
        ROS_ERROR("Could not retrieve /publish_rate parameter!");
        ros::requestShutdown();
    }
    ros::Rate rate(loop_rate);
    while (ros::ok()) {
        pose_action_client.update();
        ros::spinOnce();
        rate.sleep();
    }
}