#ifndef KEYBOARD_CONTROLLER_H
#define KEYBOARD_CONTROLLER_H

#include <ros/ros.h>
#include <std_msgs/String.h>
#include <geometry_msgs/Twist.h>

class KeyboardController
{
public:
    KeyboardController(ros::NodeHandle& node_handle);
    void update();
private:
    void teleop_callback(const std_msgs::String& msg);
    void reset_vel();
    ros::NodeHandle node_handle_;
    ros::Publisher husky_vel_publisher_;
    ros::Subscriber teleop_subscriber_;
    geometry_msgs::Twist husky_vel_cmd_;
};

#endif