#include <ros/ros.h>
#include "potential_field_planner/JointPlanner.hpp"

int main(int argc, char** argv)
{
    ros::init(argc, argv, "planner");
    ros::NodeHandle node_handle("~");
    JointPlanner joint_planner(node_handle);
    double control_rate;
    if(!node_handle.getParam("/publish_rate", control_rate))
    {
        ROS_ERROR("Could not retrieve parameter /publish_rate");
        ros::requestShutdown();
    }
    ros::Rate loop_rate(control_rate);
    while(ros::ok())
    {
        ros::spinOnce();
        joint_planner.update();
        loop_rate.sleep();
    }
}