#include <ros/ros.h>
#include "potential_field_planner/PotentialFieldPlanner.hpp"

int main(int argc, char** argv)
{
    ros::init(argc, argv, "planner");
    ros::NodeHandle node_handle("~");
    PotentialFieldPlanner planner(node_handle);
    double control_rate;
    if (!node_handle.getParam("/base_controller/loop_rate", control_rate))
    {
        ROS_ERROR("Could not retrieve parameter /base_controller/loop_rate");
    }
    ros::Rate loop_rate(control_rate);
    while(ros::ok())
    {
        ros::spinOnce();
        planner.update();
        loop_rate.sleep();
    }
}